import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { LoggedUser } from './models/logged-user';
import { Login } from './models/login';
import { LibraryEnvironment } from './models/environment-token';
import * as i0 from "@angular/core";
export declare class LoginService {
    environment: LibraryEnvironment;
    private http;
    loggedUser: LoggedUser;
    constructor(environment: LibraryEnvironment, http: HttpClient);
    login(credentials: Login): Observable<LoggedUser>;
    static ɵfac: i0.ɵɵFactoryDef<LoginService, never>;
    static ɵprov: i0.ɵɵInjectableDef<LoginService>;
}
