import { OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Router } from '@angular/router';
import { LoginService } from '../login.service';
import { ErrorHandlerService } from '../error-handler.service';
import * as i0 from "@angular/core";
export declare class LoginComponent implements OnInit {
    private formBuilder;
    private loginService;
    private router;
    private errorHandlerService;
    loginForm: FormGroup;
    constructor(formBuilder: FormBuilder, loginService: LoginService, router: Router, errorHandlerService: ErrorHandlerService);
    ngOnInit(): void;
    submit(): void;
    private operaterAuthenticated;
    static ɵfac: i0.ɵɵFactoryDef<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<LoginComponent, "app-login", never, {}, {}, never, never>;
}
