import { Manufacturer } from './Manufacturer';
import { Model } from './Model';
import { Engine } from './Engine';
import { Category } from './category';
import { SubCategory } from './sub-category';
import { SubCategoryPart } from './sub-category-part';
export declare class Identified {
    identifiedModel: IdentifiedModel;
    identifiedPart: IdentifiedPart;
    partQrCode?: number;
    image?: File;
}
export declare class IdentifiedModel {
    manufacturer: Manufacturer;
    model: Model;
    engine: Engine;
}
export declare class IdentifiedPart {
    category: Category;
    subCategory: SubCategory;
    subCategoryPart: SubCategoryPart;
    additionalData: string;
    quantity: number;
}
